Update User

Update details of the user. Only properties that are currently empty are set, a property that already has a value is not overwritten. Refer to this article for the authentication flow when calling this API from a storefront or client side environment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

(Required) (This needs to be leads _id value) (The path id is always required to keep the API strict. When updating by customer_id instead, pass any placeholder uuidv4 here and pass customer_id in the query, the query value takes precedence)

Query Params
string

(Minimum length is 8) (Maximum length is 128) (This needs to be leads customer_id value) (Alternative to the path id. When passed, the user is looked up by customer_id and the path id is ignored)

Body Params
boolean

(Marketing email consent of the customer) (true or false)

boolean

(Marketing sms and whatsapp consent of the customer) (true or false)

metadetail
object
Headers
string
enum
required

(Required) (This can only be one of mobile,web) (web for browsers and servers, mobile for native apps)

Allowed:
string
required

(Required) (This needs to be your apikey)

string
required

(Required) (This needs to be your workspaceid)

string

(Required when using a storefront read only api key, not needed with a server api key) (This needs to be the lead_token of the customer, a 1 hour JWT returned by Get User via the x-leaddigest flow or generated on your server with your api signing secret) (When passed, the customer is taken from the token and any lead_id or customer_id in the request is ignored) (Learn more about authentication here)

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json